package com.jscape.inet.ssh.protocol.v2.messages;

import com.jscape.inet.ssh.protocol.messages.Message;
import com.jscape.util.net.connection.MessageConnection;

/**
 * @author Alex Usun
 */
public class SshMsgRequestFailure
        extends Message<SshMsgRequestFailure.Handler> {

    @Override
    public Class handlerClass() {
        return Handler.class;
    }

    @Override
    public void accept(Handler handler, MessageConnection<Message> connection) {
        handler.handle(this, connection);
    }

    @Override
    public String toString() {
        return "SshMsgRequestFailure {}";
    }

    public interface Handler
            extends Message.HandlerBase {

        void handle(SshMsgRequestFailure message, MessageConnection<Message> connection);

    }
}
